classification
Title: Remove some old Visual Studio versions from PC/ directory
Type: behavior Stage: resolved
Components: Build, Windows Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brian.curtin Nosy List: asvetlov, brian.curtin, christian.heimes, jkloth, loewis, ocean-city, python-dev
Priority: normal Keywords:

Created on 2012-12-24 17:01 by brian.curtin, last changed 2013-01-25 23:12 by brian.curtin. This issue is now closed.

Messages (4)
msg178077 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2012-12-24 17:01
While fixing #14470 to remove w9xpopen support, removing it from old Visual Studio projects came up.

1. I can't imagine anyone is attempting to use most of these.
2. Since we don't backport build changes to these older versions, some of them are very out of date and can't be that useful.

I propose to remove the following:
1. PC/VC6 - this version is from 1998 and is the last compiler to support Win9x, which we just removed support for with the w9xpopen change via PEP 11.
2. PC/VS7.1 - this version is from 2003 and still contains references to WISE installer, which IIRC has not been used since 2.3. On top of that, it's missing many of the current project files.

I'm skeptical of PC/VS8.0's use as Visual Studio 2005 is pretty old and it too is missing many current project files, but there is a conversion script that may help point someone in the right direction. I do remember Hirokazu Yamamoto mentioning using 2005 for some purposes, but this was years ago.
msg178078 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-12-24 17:14
Do you want to keep VS9.0 only?
Sounds good to me.
msg178079 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2012-12-24 17:16
Definitely keeping PC/VS9.0 as it's still fairly common and VS2008 is still used by us for 2.7.

I would like to remove PC/VS8.0 but if anyone speaks towards keeping it then I think it's fine.
msg180635 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-25 23:11
New changeset 01bbac9369e8 by Brian Curtin in branch 'default':
Fix #16769. Remove outdated Visual Studio project directories for VC6, VS7.1, and VS8.
http://hg.python.org/cpython/rev/01bbac9369e8
History
Date User Action Args
2013-01-25 23:12:23brian.curtinsetstatus: open -> closed
resolution: fixed
stage: resolved
2013-01-25 23:11:45python-devsetnosy: + python-dev
messages: + msg180635
2012-12-26 13:15:32christian.heimessetnosy: + christian.heimes
2012-12-24 17:16:58brian.curtinsetnosy: + ocean-city
messages: + msg178079
2012-12-24 17:14:04asvetlovsetnosy: + asvetlov
messages: + msg178078
2012-12-24 17:12:08jklothsetnosy: + jkloth
2012-12-24 17:01:31brian.curtincreate